Bug 1421610 - Python Classroom Lab
Summary: Python Classroom Lab
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SystemWideChange
Depends On: 1327979 1412398 1432426
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-13 09:08 UTC by Jan Kurik
Modified: 2017-07-25 17:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 17:04:21 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2017-02-13 09:08:37 UTC
This is a tracking bug for Change: Python Classroom Lab
For more details, see: https://fedoraproject.org//wiki/Changes/PythonClassroomLab

A new Python Classroom Lab will be created in 3 variants: Workstation based, Docker based and Vagrant based. It's an important step for our Fedora Loves Python initiative. The main audience are Python teachers and workshop instructors.

Comment 1 Jan Kurik 2017-02-28 10:08:14 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 11:16:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jan Kurik 2017-03-01 09:51:52 UTC
May I ask for status update on this Change, as requested in Comment #1 ?

Comment 4 Miro Hrončok 2017-03-01 12:37:02 UTC
It's blocked by https://pagure.io/releng/issue/6665 - I'll investigate there.

Comment 5 Miro Hrončok 2017-03-01 15:03:30 UTC
The composes should be ready tonight.

Comment 6 Miro Hrončok 2017-03-02 16:59:25 UTC
The Docker image is testable, see https://fedoraproject.org/wiki/Changes/PythonClassroomLab#Docker

For Live and Vagrant still waiting to hear from releng, but all the relevant pieces are pushed now, so I think it's safe to set to MODIFIED.

Comment 7 Miro Hrončok 2017-03-03 11:52:07 UTC
Live images at https://koji.fedoraproject.org/koji/packageinfo?packageID=23843

Comment 8 Jan Kurik 2017-05-17 09:12:53 UTC
On 2017-May-16 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 26 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan


Note You need to log in before you can comment on or make changes to this bug.